super_logging 1.2.0

The usual dart logging module, but with superpowers! Let's you easily log to stdout, disk and sentry.io.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:

dependencies:
  super_logging: ^1.2.0

2. Install it

You can install packages from the command line:

with pub:

$ pub get

with Flutter:

$ flutter pub get

Alternatively, your editor might support pub get or flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:

import 'package:super_logging/super_logging.dart';
0
likes
55
pub points
49%
popularity

The usual dart logging module, but with superpowers! Let's you easily log to stdout, disk and sentry.io.

Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

devxpy@gmail.com

License

MIT (LICENSE)

Dependencies

device_info, flutter, get_ip, intl, logging, package_info, path, path_provider, sentry

More

Packages that depend on super_logging